Subject: Re: [PATCH v2 4/9] mlxsw: spectrum_ptp: Use generic helper function

From: Richard Cochran <[email-masked]>
Date: Wed, 29 Jul 2020 06:49:58 -0700

On Wed, Jul 29, 2020 at 12:29:08PM +0200, Kurt Kanzenbach wrote:

> I'll test it and send v3. But before, I've got another question that
> somebody might have an answer to:
> 
> The ptp v1 code always does locate the message type at
> 
>  msgtype = data + offset + OFF_PTP_CONTROL
> 
> OFF_PTP_CONTROL is 32. However, looking at the ptp v1 header, the
> message type is located at offset 20. What am I missing here?

My source back in the day was the John Eidson book.  In Appendix A it claims

                   Table A.1. Common PTP message fields

   Field name                    Purpose
   --------------------------------------------------------------------
   messageType                   Identifies message as event or general
   control                       Indicates the message type, e.g., Sync

So I think the code is correct.

Thanks,
Richard